Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -1349,29 +1419,24 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/ItemListbox
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/ItemListbox">
         <NamedArea name="ItemRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1379,15 +1444,18 @@
         <NamedArea name="ItemRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -1395,15 +1463,18 @@
         <NamedArea name="ItemRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1411,29 +1482,49 @@
         <NamedArea name="ItemRenderAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-16" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="16" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="WindowsLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-16" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="16" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="WindowsLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="16" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="WindowsLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="16" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -1442,18 +1533,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="StaticFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="StaticFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="StaticFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="StaticFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="StaticFrameLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="StaticFrameRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="StaticFrameTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="StaticFrameBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/StaticFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/StaticFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/StaticFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/StaticFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/StaticFrameLeft" />
+                <Image component="RightEdge" name="WindowsLook/StaticFrameRight" />
+                <Image component="TopEdge" name="WindowsLook/StaticFrameTop" />
+                <Image component="BottomEdge" name="WindowsLook/StaticFrameBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
             </FrameComponent>
         </ImagerySection>
@@ -1469,151 +1568,131 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/ListboxItem
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/ListboxItem">
-		<PropertyDefinition name="TextColour" initialValue="FF000000" redrawOnWrite="true" />
-		<PropertyDefinition name="SelectedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-		<PropertyDefinition name="SelectionBrush" initialValue="set:WindowsLook image:Background" redrawOnWrite="true" />
-		<PropertyDefinition name="SelectionColour" initialValue="FF3030FF" redrawOnWrite="true" />
-		<Property name="Selectable" value="True" />
-		<NamedArea name="ContentSize">
-			<Area>
-				<Dim type="LeftEdge" >
-					<AbsoluteDim value="0" />
-				</Dim>
-				<Dim type="TopEdge" >
-					<AbsoluteDim value="0" />
-				</Dim>
-				<Dim type="Width" >
-					<FontDim type="HorzExtent" padding="6" />
-				</Dim>
-				<Dim type="Height" >
-					<FontDim type="LineSpacing" />
-				</Dim>
-			</Area>
-		</NamedArea>
-		<ImagerySection name="label">
-			<TextComponent>
-				<Area>
-					<Dim type="TopEdge">
-						<AbsoluteDim value="0" />
-					</Dim>
-					<Dim type="LeftEdge">
-						<AbsoluteDim value="3" />
-					</Dim>
-					<Dim type="RightEdge">
-						<UnifiedDim scale="1" offset="-3" type="RightEdge" />
-					</Dim>
-					<Dim type="BottomEdge">
-						<UnifiedDim scale="1" type="BottomEdge" />
-					</Dim>
-				</Area>
-			</TextComponent>
-		</ImagerySection>
-		<ImagerySection name="selection">
-			<ImageryComponent>
-				<Area>
-					<Dim type="TopEdge">
-						<AbsoluteDim value="0" />
-					</Dim>
-					<Dim type="LeftEdge">
-						<AbsoluteDim value="0" />
-					</Dim>
-					<Dim type="RightEdge">
-						<UnifiedDim scale="1" type="RightEdge" />
-					</Dim>
-					<Dim type="BottomEdge">
-						<UnifiedDim scale="1" type="BottomEdge" />
-					</Dim>
-				</Area>
-				<ImageProperty name="SelectionBrush" />
-				<ColourProperty name="SelectionColour" />
-				<VertFormat type="Stretched" />
-				<HorzFormat type="Stretched" />
-			</ImageryComponent>
-		</ImagerySection>
-		<StateImagery name="Enabled">
-			<Layer>
-				<Section section="label">
-					<ColourProperty name="TextColour" />
-				</Section>
-			</Layer>
-		</StateImagery>
-		<StateImagery name="Disabled">
-			<Layer>
-				<Section section="label">
-					<ColourProperty name="TextColour" />
-				</Section>
-			</Layer>
-		</StateImagery>
-		<StateImagery name="SelectedEnabled">
-			<Layer>
-				<Section section="selection" />
-				<Section section="label">
-					<ColourProperty name="SelectedTextColour" />
-				</Section>
-			</Layer>
-		</StateImagery>
-		<StateImagery name="SelectedDisabled">
-			<Layer>
-				<Section section="selection" />
-				<Section section="label">
-					<ColourProperty name="SelectedTextColour" />
-				</Section>
-			</Layer>
-		</StateImagery>
+        <PropertyDefinition initialValue="FF000000" name="TextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="set:WindowsLook image:Background" name="SelectionBrush" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF3030FF" name="SelectionColour" redrawOnWrite="true" />
+        <Property name="Selectable" value="True" />
+        <NamedArea name="ContentSize">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <FontDim padding="6" type="HorzExtent" />
+                </Dim>
+                <Dim type="Height">
+                    <FontDim type="LineSpacing" />
+                </Dim>
+            </Area>
+        </NamedArea>
+        <ImagerySection name="label">
+            <TextComponent>
+                <Area>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="3" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim offset="-3" scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+            </TextComponent>
+        </ImagerySection>
+        <ImagerySection name="selection">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <ImageProperty name="SelectionBrush" />
+                <ColourProperty name="SelectionColour" />
+                <VertFormat type="Stretched" />
+                <HorzFormat type="Stretched" />
+            </ImageryComponent>
+        </ImagerySection>
+        <StateImagery name="Enabled">
+            <Layer>
+                <Section section="label">
+                    <ColourProperty name="TextColour" />
+                </Section>
+            </Layer>
+        </StateImagery>
+        <StateImagery name="Disabled">
+            <Layer>
+                <Section section="label">
+                    <ColourProperty name="TextColour" />
+                </Section>
+            </Layer>
+        </StateImagery>
+        <StateImagery name="SelectedEnabled">
+            <Layer>
+                <Section section="selection" />
+                <Section section="label">
+                    <ColourProperty name="SelectedTextColour" />
+                </Section>
+            </Layer>
+        </StateImagery>
+        <StateImagery name="SelectedDisabled">
+            <Layer>
+                <Section section="selection" />
+                <Section section="label">
+                    <ColourProperty name="SelectedTextColour" />
+                </Section>
+            </Layer>
+        </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Menubar
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Menubar">
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFDFEFF5 tr:FFDFDFF5 bl:FFF4F3F5 br:FFF4F3F5" redrawOnWrite="true" />
-        <PropertyDefinition name="BorderWidth" initialValue="5" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFDFEFF5 tr:FFDFDFF5 bl:FFF4F3F5 br:FFF4F3F5" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="5" layoutOnWrite="true" name="BorderWidth" />
         <NamedArea name="ItemRenderArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="MenuLeft" dimension="Width">
-                        <DimOperator op="Add">
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Width" name="WindowsLook/MenuLeft" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Height" name="WindowsLook/MenuTop" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/MenuRight" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="MenuTop" dimension="Height">
-                        <DimOperator op="Add">
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="WindowsLook/MenuBottom" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="MenuRight" dimension="Width">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="MenuBottom" dimension="Height">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1622,18 +1701,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="MenuTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="MenuTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="MenuBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="MenuBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="MenuLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="MenuRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="MenuTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="MenuBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/MenuTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/MenuTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/MenuBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/MenuBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/MenuLeft" />
+                <Image component="RightEdge" name="WindowsLook/MenuRight" />
+                <Image component="TopEdge" name="WindowsLook/MenuTop" />
+                <Image component="BottomEdge" name="WindowsLook/MenuBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
                 <ColourRectProperty name="BackgroundColours" />
             </FrameComponent>
@@ -1650,44 +1737,37 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/MenuItem
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/MenuItem">
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF7F7F7F" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverColour" initialValue="FFA7C7FF" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedColour" initialValue="FF87A7DF" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedOffColour" initialValue="7F87A7DF" redrawOnWrite="true" />
-        <PropertyDefinition name="OpenedColour" initialValue="FFEFEFEF" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF7F7F7F" name="DisabledTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFA7C7FF" name="HoverColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF87A7DF" name="PushedColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="7F87A7DF" name="PushedOffColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFEFEFEF" name="OpenedColour" redrawOnWrite="true" />
         <Property name="WantsMultiClickEvents" value="False" />
         <NamedArea name="ContentSize">
             <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
                 <Dim type="Width">
-                    <FontDim type="HorzExtent">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="WindowsLook" image="MenuLeft" dimension="Width">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="WindowsLook" image="MenuRight" dimension="Width" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="HorzExtent" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/MenuLeft" />
+                            <ImageDim dimension="Width" name="WindowsLook/MenuRight" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Height">
-                    <FontDim type="LineSpacing">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="WindowsLook" image="MenuTop" dimension="Height">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="WindowsLook" image="MenuBottom" dimension="Height" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="LineSpacing" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="WindowsLook/MenuTop" />
+                            <ImageDim dimension="Height" name="WindowsLook/MenuBottom" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
